### Hierarchy

- PermissionRange

### Implements

- IPagePermissionRange

## Index

### Constructors

- constructor

### Properties

- colEnd
- colStart
- name
- rowEnd
- rowStart

### Methods

- getPermission
- setPermission
- toObject

### Object literals

- _permissions

## Constructors

### constructor

- new PermissionRange(name: string, rowStart?: number, rowEnd?: number, colStart?: number, colEnd?: number, permissions?: IPageRangeRights): PermissionRange

- - Defined in Page/Range.ts:53

  #### Parameters

  - ##### name: string

  - ##### Default value rowStart: number = 0

  - ##### Default value rowEnd: number = 0

  - ##### Default value colStart: number = 0

  - ##### Default value colEnd: number = 0

  - ##### Optional permissions: IPageRangeRights

  #### Returns PermissionRange

## Properties

### colEnd

colEnd: number

Implementation of IPagePermissionRange.colEnd

- Defined in Page/Range.ts:60

### colStart

colStart: number

Implementation of IPagePermissionRange.colStart

- Defined in Page/Range.ts:59

### name

name: string

Implementation of IPagePermissionRange.name

- Defined in Page/Range.ts:56

### rowEnd

rowEnd: number

Implementation of IPagePermissionRange.rowEnd

- Defined in Page/Range.ts:58

### rowStart

rowStart: number

Implementation of IPagePermissionRange.rowStart

- Defined in Page/Range.ts:57

## Methods

### getPermission

- getPermission(userId: number): string

- - Defined in Page/Range.ts:93

  Get permission for a user

  #### Parameters

  - ##### userId: number

  #### Returns string

### setPermission

- setPermission(userId: number, permission?: undefined | string): void

- - Defined in Page/Range.ts:73

  Set permission for a user

  #### Parameters

  - ##### userId: number

  - ##### Optional permission: undefined | string

  #### Returns void

### toObject

- toObject(): IPageRange

- - Defined in Page/Range.ts:109

  Serialize range to final service-accepted object

  #### Returns IPageRange

## Object literals

### Private _permissions

_permissions: object

- Defined in Page/Range.ts:50

### no

no: never[] = []

- Defined in Page/Range.ts:52

### ro

ro: never[] = []

- Defined in Page/Range.ts:51

Generated using TypeDoc